## ibniz 1.18

=== Makefile ===
# For normal builds; remove -DX11 -lX11 from flags if you don't have X11
CC=gcc
EXE=ibniz
FLAGS=`sdl-config --libs --cflags` -DX11 -lX11
all: ibniz

# For win32 builds using mingw32 (you'll probably need to modify these)
#CC=i586-mingw32msvc-gcc
#EXE=ibniz.exe
#FLAGS=-L./SDL-1.2.14/lib -I./SDL-1.2.14/include -static -lmingw32 SDL-1.2.14/lib/libSDL.a SDL-1.2.14/lib/libSDLmain.a -mwindows -lwinmm
#all: ibniz.exe

clean:
	rm -f *.o *~ ibniz vmtest ibniz.exe whole.c

package: clean
	cd .. && cp -R src ibniz-1.18 && tar czf ibniz-1.18.tar.gz ibniz-1.18

winexe: clean
	mkdir ../winbuild && cp * ../winbuild && cd ../winbuild && make -f Makefile.win

#$(EXE): whole.c
#	$(CC) -s -O3 -ffast-math -fwhole-program whole.c -o $(EXE) $(FLAGS) -lm

#whole.c: vm_slow.c ui_sdl.c clipboard.c texts.i font.i vm.h ibniz.h
#	cat ui_sdl.c vm_slow.c clipboard.c > whole.c

$(EXE): ui_sdl.o vm_slow.o clipboard.o
	$(CC) -Os -s ui_sdl.o vm_slow.o clipboard.o -o $(EXE) $(FLAGS) -lm

ui_sdl.o: ui_sdl.c ibniz.h font.i vm.h texts.i vm.h
	$(CC) -c -Os ui_sdl.c -o ui_sdl.o $(FLAGS)

clipboard.o: clipboard.c ibniz.h
	$(CC) -c -Os clipboard.c -o clipboard.o $(FLAGS)

vm_slow.o: vm_slow.c ibniz.h vm.h
	$(CC) -c -O3 vm_slow.c -o vm_slow.o

font.i: font.pl
	perl font.pl > font.i

runtest: vmtest
	./vmtest

vmtest: vm_test.c vm_slow.c
	gcc vm_test.c vm_slow.c -o vmtest -lm

=== src/Makefile ===
# For normal builds; remove -DX11 -lX11 from flags if you don't have X11
CC=gcc
EXE=ibniz
FLAGS=`sdl-config --libs --cflags` -DX11 -lX11
all: ibniz

# For win32 builds using mingw32 (you'll probably need to modify these)
#CC=i586-mingw32msvc-gcc
#EXE=ibniz.exe
#FLAGS=-L./SDL-1.2.14/lib -I./SDL-1.2.14/include -static -lmingw32 SDL-1.2.14/lib/libSDL.a SDL-1.2.14/lib/libSDLmain.a -mwindows -lwinmm
#all: ibniz.exe

clean:
	rm -f *.o *~ ibniz vmtest ibniz.exe whole.c

package: clean
	cd .. && cp -R src ibniz-1.18 && tar czf ibniz-1.18.tar.gz ibniz-1.18

winexe: clean
	cp * ../winbuild && cd ../winbuild && make -f Makefile.win

#$(EXE): whole.c
#	$(CC) -s -O3 -ffast-math -fwhole-program whole.c -o $(EXE) $(FLAGS) -lm

#whole.c: vm_slow.c ui_sdl.c clipboard.c texts.i font.i vm.h ibniz.h
#	cat ui_sdl.c vm_slow.c clipboard.c > whole.c

$(EXE): ui_sdl.o vm_slow.o clipboard.o
	$(CC) -Os -s ui_sdl.o vm_slow.o clipboard.o -o $(EXE) $(FLAGS) -lm

ui_sdl.o: ui_sdl.c ibniz.h font.i vm.h texts.i vm.h
	$(CC) -c -Os ui_sdl.c -o ui_sdl.o $(FLAGS)

clipboard.o: clipboard.c ibniz.h
	$(CC) -c -Os clipboard.c -o clipboard.o $(FLAGS)

vm_slow.o: vm_slow.c ibniz.h vm.h
	$(CC) -c -O3 vm_slow.c -o vm_slow.o

font.i: font.pl
	perl font.pl > font.i

runtest: vmtest
	./vmtest

vmtest: vm_test.c vm_slow.c
	gcc vm_test.c vm_slow.c -o vmtest -lm

=== debian/changelog ===
ibniz (1.18-1) unstable; urgency=low

  * Initial release (Closes: #724249)

 -- maxigas <maxigas@anargeek.net>  Mon, 23 Sep 2013 00:12:09 +0200

=== debian/control ===
Source: ibniz
Section: graphics
Priority: optional
Maintainer: maxigas <maxigas@anargeek.net>
Build-Depends: debhelper (>= 9), libsdl1.2-dev, python-docutils, perl
Standards-Version: 3.9.4
Homepage: http://pelulamu.net/ibniz/
#Vcs-Git: git://git.debian.org/collab-maint/ibniz.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ibniz.git;a=summary

Package: ibniz
Architecture: alpha any-amd64 arm armel armhf arm64 any-i386 ia64 mipsel sh4 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Virtual machine for compact low-level audiovisual programs
 IBNIZ is a virtual machine designed for extremely compact low-level
 audiovisual programs. The leading design goal is usefulness as a
 platform for demoscene productions, glitch art and similar projects.
 Mainsteam software engineering aspects are considered totally
 irrelevant.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build:
	rm -f font.i
	dh_auto_build

override_dh_auto_test:
	make runtest

=== debian/watch ===
version=3
http://pelulamu.net/ibniz/ ibniz-(\d\.\d+)\.tar\.gz
